/* Estilo para a tabela */

.container {
  background-color: rgba(255, 255, 255, 0.8);
  backdrop-filter: blur(500px); /* Adiciona o efeito de desfoque */
  padding: 20px;
  text-align: center;
}

.titulo {
  font-size: 24px;
  text-transform: uppercase;
  font-weight: bold;
  margin-bottom: 20px;
}

 #txid,#qrtxt {
    display: inline-flex;
    align-items: center;
    padding: 8px 16px;
    background-color: #f2f2f2;
    border-radius: 4px;
	margin-bottom: 5px;
	margin-top: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    cursor: pointer;
	max-width:50%;/* Garante que a div não exceda a largura do pai */
	font-size: 0.8em;
	word-wrap: break-word; /* Quebra o texto em várias linhas se necessário */
    overflow: hidden; /* Esconde o conteúdo que não couber na div */
  }

  #txid,#qrtxt i {
    margin-left: 8px;
	margin-left: 8px;
    white-space: nowrap; /* Impede que o ícone seja quebrado em várias linhas */
    overflow: hidden; /* Esconde qualquer parte do ícone que não couber */
  }

.resumo {
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
  border-collapse: collapse;
  border: 2px solid #ccc;
  background-color: #f9f9f9;
}

/* Estilo para os cabeçalhos da tabela */
.resumo th {
  font-weight: bold;
  padding: 10px;
  text-align: left;
  background-color: #007bff; /* Cor de fundo destacada para o cabeçalho */
  color: #fff; /* Cor do texto no cabeçalho destacado */
  border-bottom: 2px solid #ccc;
}

/* Estilo para as células da tabela */
.resumo td {
  padding: 10px;
  text-align: left;
  border-bottom: 1px solid #ccc;
}

/* Estilo para o botão */
#pagpix {
  display: block;
  margin: 20px auto;
  padding: 12px 24px;
  font-size: 16px;
  font-weight: bold;
  text-transform: uppercase;
  color: #fff;
  background-color: #007bff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

/* Estilo para a div que conterá o QR code */
#pagpixqr {
  width: 200px;
  height: 200px;
  margin: 0 auto;
  border: 2px solid #007bff;
  background-color: #f9f9f9;
  position: relative;
}


.loading-effect {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(207, 124, 0, 0.6);
  backdrop-filter: blur(5px);
  animation: pulsate 2s ease-in-out infinite;
  pointer-events: none;
}

@keyframes pulsate {
  0% {
    opacity: 0.2;
  }
  50% {
    opacity: 0.8;
  }
  100% {
    opacity: 0.2;
  }
}


.expiracao-container {
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999; /* Certifique-se de que esteja acima de tudo */
}

.expiracao-loading {
  position: relative;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  max-width: 60%;
  border: 5px solid rgba(207, 124, 0, 0.8);
  border-radius: 8px;
  padding: 10px;
  color: black;
  text-align: center;
  z-index: 2;
  margin-bottom: 5px;
  margin-top: 5px;
}

.expiracao-loading::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(207, 124, 0, 0.6);
  animation: esvaziar 10s linear infinite;
  pointer-events: none;
  z-index: -1;
}

.expiracao-loading span {
  position: relative;
  font-weight: bold;
  z-index: 2; /* Coloca o texto na frente dos elementos */
}





@keyframes esvaziar {
  0% {
    width: 100%;
  }
  100% {
    width: 0;
  }
}